log4shib::CategoryStream(3)

NAME
log4shib::CategoryStream - This class enables streaming simple types and objects to a category.

SYNOPSIS

#include <CategoryStream.hh>

  Public Types
typedef CategoryStream &(* cspf) (CategoryStream &)

  Public Member Functions
CategoryStream (Category &category, Priority::Value priority)
Construct a CategoryStream for given Category with given priority.
~CategoryStream ()
Destructor for CategoryStream.
Category & getCategory () const
Returns the destination Category for this stream.
Priority::Value getPriority () const throw ()
Returns the priority for this stream.
void flush ()
Flush the contents of the stream buffer to the Category and empties the buffer.
template<typename T > CategoryStream & operator<< (const T &t)
Stream in arbitrary types and objects.
CategoryStream & operator<< (cspf)

  Friends
LOG4SHIB_EXPORT friend CategoryStream & eol (CategoryStream &os)
eol manipulator

Detailed Description

This class enables streaming simple types and objects to a category. Use category.errorStream(), etc. to obtain a CategoryStream class.

Member Typedef Documentation

  typedef CategoryStream &(* log4shib::CategoryStream::cspf) (CategoryStream &)

Constructor & Destructor Documentation

  log4shib::CategoryStream::CategoryStream (Category & category, Priority::Value priority)

Construct a CategoryStream for given Category with given priority.

Parameters
    category The category this stream will send log messages to.
    priority The priority the log messages will get or Priority::NOTSET to silently discard any streamed in messages.

  log4shib::CategoryStream::~CategoryStream ()

Destructor for CategoryStream.

Member Function Documentation

  void log4shib::CategoryStream::flush ()

Flush the contents of the stream buffer to the Category and empties the buffer.

  Category & log4shib::CategoryStream::getCategory () const [inline]

Returns the destination Category for this stream.

Returns
    The Category.

  Priority::Value log4shib::CategoryStream::getPriority () const [inline]

Returns the priority for this stream.

Returns
    The priority.

  template<typename T > CategoryStream & log4shib::CategoryStream::operator<< (const T & t) [inline]

Stream in arbitrary types and objects.

Parameters
    t The value or object to stream in.

Returns
    A reference to itself.

  CategoryStream & log4shib::CategoryStream::operator<< (cspf pf)

Friends And Related Function Documentation

  LOG4SHIB_EXPORT friend CategoryStream & eol (CategoryStream & os) [friend]

eol manipulator

Author

Generated automatically by Doxygen for log4shib from the source code.